Bug 430188 - (selinux-policy) squid cannot bind to port 80
(selinux-policy) squid cannot bind to port 80
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-24 22:12 EST by Warren Togami
Modified: 2008-03-05 17:17 EST (History)
0 users

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-05 17:17:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2008-01-24 22:12:14 EST
selinux-policy-3.0.8-81.fc8

squid is commonly used as a "reverse proxy" running on port 80.  SELinux
currently prevents squid from binding to that port causing a failure.  The below
semodule makes it work on my system.  Please be sure this is not blocked on
RHEL5 too.

module squidlocal 1.0;

require {
        type http_port_t;
        type squid_t;
        class tcp_socket name_bind;
}

#============= squid_t ==============
allow squid_t http_port_t:tcp_socket name_bind;
Comment 1 Daniel Walsh 2008-01-25 09:47:13 EST
Did not know that.


Fixed in selinux-policy-3.0.8-82.fc8

Comment 2 Daniel Walsh 2008-03-05 17:17:33 EST
Bugs have been in modified for over one month.  Closing as fixed in current
release please reopen if the problem still persists.

Note You need to log in before you can comment on or make changes to this bug.